####################################################################################################
### INFERENCE FREQUENTISTE ET BAYESIENNE
### Master Sante Publique - B3S
### Estimation de parametres par maximisation de vraisemblance
### 07/2016
####################################################################################################






####################################################################################################
######################### ESTIMATION NOMBRE MOYEN D'INFECTIONS URINAIRES ###########################
####################################################################################################

### chargement donnees
data = read.table("inf_ger.txt", h = T, sep="\t")
nbinf = data$nbinf
age = data$age


### vraisemblance de la premiere observation pour lambda = 1


### vraisemblance des observations pour lambda = 1


### maximisation de la vraisemblance
# fonction de log vraisemblance
f_loglik = function(x)
{
	loglik = 
	return(loglik)
}

# representation de la fonction de vraisemblance
seq_lambda = seq(0, 10, le = 1000)



# maximisation de la vraisemblance
f_loglik_inv = function(x)
{
	
}


# changement de valeur de depart


# changement de tolerance pour le gradient






####################################################################################################
############################### INFECTIONS URINAIRES ET AGE ########################################
####################################################################################################


### vraisemblance de la premiere observation
beta0 = -3
beta1 = 0.05



### vraisemblance des observations



### maximisation de la vraisemblance
# fonction de log vraisemblance
f_loglik = function(x)
{
	beta0 = x[1]
	beta1 = x[2]
	loglik = 
	return(loglik)
}


# maximisation de la vraisemblance


# changement de tolerance pour les etapes



### comparaison par rapport a glm







####################################################################################################
############################ ACCIDENT CARDIAQUE EN FONCTION DE L'AGE ###############################
####################################################################################################
### chargement des donnees
data4 = read.table("prevalence.txt", h = T, sep = "\t")
age = data4$age
case = data4$case
n = data4$n


### regression logistique via glm


### vraisemblances
beta0 = -3
beta1 = 1

# premiere ligne


# ensemble des observations



### maximisation de la vraisemblance
# fonction inverse de log vraisemblance
f_loglik_inv = function(x)
{
	
}

# maximisation de la vraisemblance






####################################################################################################
############################ DOSE REPONSE IRRITATION DE L'INTESTIN #################################
####################################################################################################

### chargement des donnees
data2 = read.table("bowel.txt", sep = "\t", h = T)

dose = data2$dose
resp = data2$resp

plot(resp ~ dose, pch = 19)


### inverse de la fonction de vraisemblance
f_loglik_inv = function(x)
{

	
}




### representation graphique







####################################################################################################
############################ DONNEES CENSUREES  ####################################################
####################################################################################################
### chargement des donnees
data3= read.table("ovarian.txt", h = T, sep = "\t")
time = data3$futime
status = data3$fustat



### en considerant que tous les temps correspondent a des dates de deces
# log vraisemblance
f_loglik_inv = function(x)
{
	
}

# representation graphique


# maximisation



### en considerant les temps correspondant a des temps de censure
time_deces = time[status == 1]
time_censure = time[status == 0]

# log vraisemblance
f_loglik_inv = function(x)
{
	
}

# representation graphique



# maximisation



####################################################################################################
############################ MODELE DE MELANGE #####################################################
####################################################################################################

### chargement des donnees et representations graphiques
ca125 = c(28, 15.5, 8.2, 3.4, 17.3, 15.2, 32.9, 11.1, 87.5, 16.2, 107.9, 5.7, 25.6, 31.2, 21.6, 55.6, 8.8, 6.5, 22.1, 14.4, 44.2, 3.7, 7.8, 8.9, 18, 6.5, 4.9, 10.4, 5, 5.3, 6.5, 6.9, 8.2, 21.8, 6.6, 7.6, 15.4, 59.2, 5.1, 10, 5.3, 32.6, 4.6, 6.9, 4, 3.65, 7.8, 32.5, 11.5, 4, 10.2, 2.4, 719, 2106.667, 24000, 1715, 3.6, 521.5, 1600, 454, 109.7, 23.7, 464, 9810, 255, 58.7, 225, 90.1, 50, 5.6, 4070, 592, 28.6, 6160, 1090, 10.4, 27.3, 162, 3560, 14.7, 83.3, 336, 55.7, 1520, 3.9, 5.8, 8.45, 361, 369, 8230, 39.3, 43.5, 361, 12.8, 18, 9590, 555, 60.2, 21.8, 900, 6.6, 239, 3100, 3275, 682, 85.4, 10290, 770, 247.6, 12320, 113.1, 1079, 45.6, 1630, 79.4, 508, 3190, 542, 1021, 235, 251, 3160, 479, 222, 15.7, 2540, 11630, 1810, 6.9, 4.1, 15.6, 9820, 1490, 15.7, 45.8, 7.8, 12.8, 100.5333, 227, 70.9, 2500)

hist(ca125)
y = log(ca125)
hist(y)


### log vraisemblance par mesure
mu0 = 2
sd0 = 0.70
mu1 = 5
sd1 = 2
pi = 0.5

# si donnees appartiennent au groupe 0
loglik_0 = 

# si donnees appartiennent au groupe 1
loglik_1 = 

# representation graphique
dotchart(t(cbind(loglik_0, loglik_1)), col = 1:2 )


### log vraisemblance globale
# log vraisemblance
f_loglik_inv = function(x)
{
	mu0 = x[1]
	sd0 = x[2]
	mu1 = x[3]
	sd1 = x[4]
	pi = x[5]
	
	return(   )
}

# maximisation


# autres valeurs de depart


# autres valeurs de depart



### representation graphique














####################################################################################################
######################### REGRESSION DE POISSON PAR REGRESSION LINEAIRE ############################
####################################################################################################
### chargement donnees
data = read.table("inf_ger.txt", h = T, sep="\t")
nbinf = data$nbinf
age = data$age

### initialisation
lm0 = lm(log(nbinf[nbinf>0]) ~ age[nbinf>0], weights = nbinf[nbinf>0])
